Deploy extension
curl --request PUT \
--url https://api.coralogix.com/mgmt/openapi/5/integrations/extensions/v1/deployed \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/integrations/extensions/v1/deployed"
headers = {"Authorization": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/integrations/extensions/v1/deployed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"extensionDeployment": {
"applications": [
"<string>"
],
"id": "<string>",
"itemIds": [
"<string>"
],
"subsystems": [
"<string>"
],
"version": "<string>"
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Extension Deployment Service
Deploy extension
Deploys an extension.
Requires the following permissions:
extensions:Deploy
Deploy extension
Authorizations
API key authentication
Query Parameters
Unique identifier.
Maximum string length:
65535Pattern:
^[\s\S]*$Version number.
Maximum string length:
65535Pattern:
^[\s\S]*$The item ids.
Maximum array length:
10000The item ids.
The applications.
Maximum array length:
10000The applications.
The subsystems.
Maximum array length:
10000The subsystems.
The extension deployment configuration. Extension deployment.
Show child attributes
Show child attributes
Response
Response returned after successfully deploying an extension.
Extension deployment.
Show child attributes
Show child attributes
Was this page helpful?